
Ruby - Bug #1161

Build Assertion Failure with VC+++ - Unitialized variable in rb_define_hooked_variable

02/15/2009 06:21 AM - cfis (Charlie Savage)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.1p0 (2009-01-30 revision

21907) [i386-mswin32_90]

Backport:  

Description

=begin

Build ruby 1.9.1 with VC 2008 using the following flags:

RUNTIMEFLAG = -MDd

OPTFLAGS = -Od -RTC1

LDFLAGS = -link -INCREMENTAL:NO -DEBUG -OPT:REF -OPT:ICF

Failure occurs when running miniruby.exe for the first time:

Run-Time Check Failure #3 - The variable 'tmp' is being used without being initialized.

This patch fixes the problem:

--- variable.c 2009-02-14 14:18:26 -0700

+++ variable.old.c 2009-02-14 14:16:05 -0700

@@ -484,8 +484,7 @@

gvar->setter = setter?(gvar_setter_t *)setter:var_setter;

gvar->marker = var_marker;

if (var)

 RB_GC_GUARD(tmp);

RB_GC_GUARD(tmp);

}

void

=end

History

#1 - 02/15/2009 06:29 AM - cfis (Charlie Savage)

=begin

Sorry, reversed the patch.  It should be:

--- variable.old.c 2009-02-14 14:16:05 -0700

+++ variable.c 2009-02-14 14:20:44 -0700

@@ -484,7 +484,8 @@

gvar->setter = setter?(gvar_setter_t *)setter:var_setter;

gvar->marker = var_marker;

RB_GC_GUARD(tmp);

if (var)

 RB_GC_GUARD(tmp);

}
void

=end

#2 - 02/15/2009 11:47 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r22322.

=end
